org.osgi.resource.dto

## Class WireDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.resource.dto.WireDTO

Direct Known Subclasses:
  BundleWireDTO

    public class WireDTO
    extends DTO

Data Transfer Object for a Wire.

Author:
  $Id$

### Field Summary

Fields
`CapabilityRefDTO` `capability` Reference to the Capability for the wire.
`int` `provider` The identifier of the provider resource for the wire.
`RequirementRefDTO` `requirement` Reference to the Requirement for the wire.
`int` `requirer` The identifier of the requiring resource for the wire.

### Constructor Summary

Constructors
Constructor and Description
`WireDTO()`

### Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### capability

    public CapabilityRefDTO capability

Reference to the Capability for the wire.

See Also:
  `Wire.getCapability()`

#### requirement

    public RequirementRefDTO requirement

Reference to the Requirement for the wire.

See Also:
  `Wire.getRequirement()`

#### provider

    public int provider

The identifier of the provider resource for the wire.

See Also:
  `ResourceDTO.id`, `Wire.getProvider()`

#### requirer

    public int requirer

The identifier of the requiring resource for the wire.

See Also:
  `ResourceDTO.id`, `Wire.getRequirer()`

### Constructor Detail

#### WireDTO

    public WireDTO()